//------------------------------------------------------------------------------
// 9/29 - Finally released the source to TBM's brick inventory.
// You can add a new brick like so:
//
// datablock StaticShapeData(static[Bricknamehere] : staticBrick2x2) {
// 	shapeFile = "~/data/shapes/bricks/[Brickfilenamehere].dts";
// 	x = [x];	y = [y];	z = [z];
// };
//
// If you want to add a brick to the beginning or end of a slot,
// make sure you change the global variable for $Bricks[#,#]
//
//------------------------------------------------------------------------------

//////////////////////////////
///////Slate Bricks///////////
//////////////////////////////

datablock StaticShapeData(staticSlate1x1 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slate/brick1x1.dts";
	x = 1;	y = 1;	z = 3;
};
datablock StaticShapeData(staticSlate1x2 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slate/brick1x2.dts";
	x = 1;	y = 2;	z = 3;
};
datablock StaticShapeData(staticSlate1x3 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slate/brick1x3.dts";
	x = 1;	y = 3;	z = 3;
};
datablock StaticShapeData(staticSlate1x4 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slate/brick1x4.dts";
	x = 1;	y = 4;	z = 3;
};
datablock StaticShapeData(staticSlate1x6 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slate/brick1x6.dts";
	x = 1;	y = 6;	z = 3;
};
datablock StaticShapeData(staticSlate1x8 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slate/brick1x8.dts";
	x = 1;	y = 8;	z = 3;
};
datablock StaticShapeData(staticSlate1x10 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slate/brick1x10.dts";
	x = 1;	y = 10;	z = 3;
};
datablock StaticShapeData(staticSlate1x12 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slate/brick1x12.dts";
	x = 1;	y = 12;	z = 3;
};
datablock StaticShapeData(staticSlate1x14 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slate/brick1x14.dts";
	x = 1;	y = 14;	z = 3;
};
datablock StaticShapeData(staticSlate1x16 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slate/brick1x16.dts";
	x = 1;	y = 10;	z = 3;
};
datablock StaticShapeData(staticSlatecyl2x2 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slate/cylinder2x2.dts";
	x = 2;	y = 2;	z = 3;
};
datablock StaticShapeData(staticSlate2x2 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slate/brick2x2.dts";
	x = 2;	y = 2;	z = 3;
};
datablock StaticShapeData(staticSlate2x3 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slate/brick2x3.dts";
	x = 2;	y = 3;	z = 3;
};
datablock StaticShapeData(staticSlate2x4 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slate/brick2x4.dts";
	x = 2;	y = 4;	z = 3;
};
datablock StaticShapeData(staticSlate2x6 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slate/brick2x6.dts";
	x = 2;	y = 6;	z = 3;
};
datablock StaticShapeData(staticSlate2x8 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slate/brick2x8.dts";
	x = 2;	y = 8;	z = 3;
};
datablock StaticShapeData(staticSlate2x10 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slate/brick2x10.dts";
	x = 2;	y = 10;	z = 3;
};
datablock StaticShapeData(staticSlate2x12 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slate/brick2x12.dts";
	x = 2;	y = 12;	z = 3;
};
datablock StaticShapeData(staticSlate2x16 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slate/brick2x16.dts";
	x = 2;	y = 16;	z = 3;
};
datablock StaticShapeData(staticSlate4x4 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slate/brick4x4.dts";
	x = 4;	y = 4;	z = 3;
};
datablock StaticShapeData(staticSlate4x6 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slate/brick4x6.dts";
	x = 4;	y = 6;	z = 3;
};
datablock StaticShapeData(staticSlate4x8 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slate/brick4x8.dts";
	x = 4;	y = 8;	z = 3;
};
datablock StaticShapeData(staticSlate4x10 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slate/brick4x10.dts";
	x = 4;	y = 10;	z = 3;
};
datablock StaticShapeData(staticSlate4x12 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slate/brick4x12.dts";
	x = 4;	y = 12;	z = 3;
};
datablock StaticShapeData(staticSlate4x16 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slate/brick4x16.dts";
	x = 4;	y = 16;	z = 3;
};
datablock StaticShapeData(staticSlate6x6 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slate/brick6x6.dts";
	x = 6;	y = 6;	z = 3;
};
datablock StaticShapeData(staticSlate6x8 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slate/brick6x8.dts";
	x = 6;	y = 8;	z = 3;
};
datablock StaticShapeData(staticSlate6x10 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slate/brick6x10.dts";
	x = 6; 	y = 10; 	z = 3;
};
datablock StaticShapeData(staticSlate6x12 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slate/brick6x12.dts";
	x = 6; 	y = 12; 	z = 3;
};
datablock StaticShapeData(staticSlate6x16 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slate/brick6x16.dts";
	x = 6; 	y = 16;	 z = 3;
};
datablock StaticShapeData(staticSlate6x24 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slate/brick6x24.dts";
	x = 6; 	y = 24;	 z = 3;
};
datablock StaticShapeData(staticSlate8x8 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slate/brick8x8.dts";
	x = 8; 	y = 8;	 z = 3;
};
datablock StaticShapeData(staticSlate8x12 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slate/brick8x12.dts";
	x = 8; 	y = 12;	 z = 3;
};
datablock StaticShapeData(staticSlate8x16 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slate/brick8x16.dts";
	x = 8; 	y = 16;	 z = 3;
};
datablock StaticShapeData(staticSlate8x24 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slate/brick8x24.dts";
	x = 8; 	y = 24;	 z = 3;
};
datablock StaticShapeData(staticSlate12x24 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slate/brick12x24.dts";
	x = 12; 	y = 24; 	z = 3;
};
datablock StaticShapeData(staticSlate16x32 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slate/brick16x32.dts";
	x = 16; 	y = 32; 	z = 3;
};
datablock StaticShapeData(staticSlate32x32b : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slate/brick32x32.dts";
	x = 32; 	y = 32; 	z = 3;
};
/////////////////////////////////
///////Brick Primatives//////////
/////////////////////////////////
datablock StaticShapeData(staticPlate1x1 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/brick1x1.dts";
	x = 1;	y = 1;	z = 3;
	invname="1x1";
    slate=staticSlate1x1;
};
datablock StaticShapeData(staticPlate1x2 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/brick1x2.dts";
	x = 1;	y = 2;	z = 3;
	invname="1x2";
    slate=staticSlate1x2;
};
datablock StaticShapeData(staticplate1x3 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/brick1x3.dts";
	x = 1;	y = 3;	z = 3;
	invname="1x3";
    slate=staticSlate1x3;
};
datablock StaticShapeData(staticPlate1x4 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/brick1x4.dts";
	x = 1;	y = 4;	z = 3;
	invname="1x4";
    slate=staticSlate1x4;
};
datablock StaticShapeData(staticPlate1x6 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/brick1x6.dts";
	x = 1;	y = 6;	z = 3;
	invname="1x6";
    slate=staticSlate1x6;
};
datablock StaticShapeData(staticPlate1x8 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/brick1x8.dts";
	x = 1;	y = 8;	z = 3;
	invname="1x8";
    slate=staticSlate1x8;
};
datablock StaticShapeData(staticPlate1x10 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/brick1x10.dts";
	x = 1;	y = 10;	z = 3;
	invname="1x10";
    slate=staticSlate1x10;
};
datablock StaticShapeData(staticPlate1x12 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/brick1x12.dts";
	x = 1;	y = 12;	z = 3;
	invname="1x12";
    slate=staticSlate1x12;
};
datablock StaticShapeData(staticPlate1x14 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/brick1x14.dts";
	x = 1;	y = 14;	z = 3;
	invname="1x14";
    slate=staticSlate1x14;
};
datablock StaticShapeData(staticPlate1x16 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/brick1x16.dts";
	x = 1;	y = 16;	z = 3;
	invname="1x16";
    slate=staticSlate1x16;
};
datablock StaticShapeData(staticcylinder2x2 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/cylinder2x2.dts";
	x = 2;	y = 2;	z = 3;
	invname="Cylinder 2x2";
    slate=staticSlatecyl2x2;
};
datablock StaticShapeData(staticPlate2x2 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/brick2x2.dts";
	x = 2;	y = 2;	z = 3;
	invname="2x2";
    slate=staticSlate2x2;
};
datablock StaticShapeData(staticplate2x3 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/brick2x3.dts";
	x = 2;	y = 3;	z = 3;
	invname="2x3";
    slate=staticSlate2x3;
};
datablock StaticShapeData(staticPlate2x4 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/brick2x4.dts";
	x = 2;	y = 4;	z = 3;
	invname="2x4";
    slate=staticSlate2x4;
};
datablock StaticShapeData(staticplate2x6 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/brick2x6.dts";
	x = 2;	y = 6;	z = 3;
	invname="2x6";
    slate=staticSlate2x6;
};
datablock StaticShapeData(staticplate2x8 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/brick2x8.dts";
	x = 2;	y = 8;	z = 3;
	invname="2x8";
    slate=staticSlate2x8;
};
datablock StaticShapeData(staticplate2x10 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/brick2x10.dts";
	x = 2;	y = 10;	z = 3;
	invname="2x10";
    slate=staticSlate2x10;
};
datablock StaticShapeData(staticplate2x12 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/brick2x12.dts";
	x = 2;	y = 12;	z = 3;
	invname="2x12";
    slate=staticSlate2x12;
};
datablock StaticShapeData(staticplate2x16 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/brick2x16.dts";
	x = 2;	y = 16;	z = 3;
	invname="2x16";
    slate=staticSlate2x16;
};
datablock StaticShapeData(staticPlate4x4 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/brick4x4.dts";
	x = 4;	y = 4;	z = 3;
	invname="4x4";
    slate=staticSlate4x4;
};
datablock StaticShapeData(staticplate4x6 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/brick4x6.dts";
	x = 4;	y = 6;	z = 3;
	invname="4x6";
    slate=staticSlate4x6;
};
datablock StaticShapeData(staticplate4x8 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/brick4x8.dts";
	x = 4;	y = 8;	z = 3;
	invname="4x8";
    slate=staticSlate4x8;
};
datablock StaticShapeData(staticplate4x10 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/brick4x10.dts";
	x = 4;	y = 10;	z = 3;
	invname="4x10";
    slate=staticSlate4x10;
};
datablock StaticShapeData(staticplate4x12 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/brick4x12.dts";
	x = 4;	y = 12;	z = 3;
	invname="4x12";
    slate=staticSlate4x12;
};
datablock StaticShapeData(staticplate4x16 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/brick4x16.dts";
	x = 4;	y = 16;	z = 3;
	invname="4x16";
    slate=staticSlate4x16;
};
datablock StaticShapeData(staticPlate6x6 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/brick6x6.dts";
	x = 6;	y = 6;	z = 3;
	invname="6x6";
    slate=staticSlate6x6;
};
datablock StaticShapeData(staticPlate6x8 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/brick6x8.dts";
	x = 6;	y = 8;	z = 3;
	invname="6x8";
    slate=staticSlate6x8;
};
datablock StaticShapeData(staticplate6x10 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/brick6x10.dts";
	x = 6; 	y = 10; 	z = 3;
	invname="6x10";
    slate=staticSlate6x10;
};
datablock StaticShapeData(staticPlate6x12 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/brick6x12.dts";
	x = 6; 	y = 12; 	z = 3;
	invname="6x12";
    slate=staticSlate6x12;
};
datablock StaticShapeData(staticPlate6x16 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/brick6x16.dts";
	x = 6; 	y = 16;	 z = 3;
	invname="6x16";
    slate=staticSlate6x16;
};
datablock StaticShapeData(staticPlate6x24 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/brick6x24.dts";
	x = 6; 	y = 24; 	z = 3;
	invname="6x24";
    slate=staticSlate6x24;
};
datablock StaticShapeData(staticPlate8x8 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/brick8x8.dts";
	x = 8; 	y = 8;	 z = 3;
	invname="8x8";
    slate=staticSlate8x8;
};
datablock StaticShapeData(staticPlate8x12 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/brick8x12.dts";
	x = 8; 	y = 12;	 z = 3;
	invname="8x12";
    slate=staticSlate8x12;
};
datablock StaticShapeData(staticPlate8x16 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/brick8x16.dts";
	x = 8; 	y = 16;	 z = 3;
	invname="8x16";
    slate=staticSlate8x16;
};
datablock StaticShapeData(staticPlate8x24 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/brick8x24.dts";
	x = 8; 	y = 24; z = 3;
	invname="8x24";
    slate=staticSlate8x24;
};
datablock StaticShapeData(staticPlate12x24 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/brick12x24.dts";
	x = 12; 	y = 24; 	z = 3;
	invname="12x24";
    slate=staticSlate12x24;
};
datablock StaticShapeData(staticPlate16x32 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/brick16x32.dts";
	x = 16; 	y = 32; 	z = 3;
	invname="16x32";
    slate=staticSlate16x32;
};
datablock StaticShapeData(staticPlate32x32b : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/brick32x32.dts";
	x = 32; 	y = 32; 	z = 3;
	invname="32x32";
    slate=staticSlate32x32b;
};
$bricks[0,0]=nametoid(staticPlate1x1);
$bricks[0,1]=nametoid(staticPlate32x32b);
/////////////////////////////////
/////////////Slopes//////////////
/////////////////////////////////
datablock StaticShapeData(staticslope2x1 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slope2x1.dts";
	x = 2;	y = 1;	z = 3;
	invname="Slope 2x1";
};
datablock StaticShapeData(staticslope2x2 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slope2x2.dts";
	x = 2;	y = 2;	z = 3;
	invname="Slope 2x2";
};
datablock StaticShapeData(staticslope2x3 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slope2x3.dts";
	x = 2;	y = 3;	z = 3;
	invname="Slope 2x3";
};
datablock StaticShapeData(staticslope2x4 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slope2x4.dts";
	x = 2;	y = 4;	z = 3;
	invname="Slope 2x4";
};
datablock StaticShapeData(staticslopeC2x2 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slopeC2x2.dts";
	x = 2;	y = 2;	z = 3;
	invname="Corner 2x2";
};
datablock StaticShapeData(staticslopeCC2x2 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slopeCC2x2.dts";
	x = 2;	y = 2;	z = 3;
	invname="Crevasse  2x2";
};
datablock StaticShapeData(staticslope3x1 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slope3x1.dts";
	x = 3;	y = 1;	z = 3;
	invname="Slope 3x1";
};
datablock StaticShapeData(staticslope3x2 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slope3x2.dts";
	x = 3;	y = 2;	z = 3;
	invname="Slope 3x2";
};
datablock StaticShapeData(staticslope3x3 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slope3x3.dts";
	x = 3;	y = 3;	z = 3;
	invname="Slope 3x3";
};
datablock StaticShapeData(staticslope3x4 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slope3x4.dts";
	x = 3;	y = 4;	z = 3;
	invname="Slope 3x4";
};
datablock StaticShapeData(staticslope3x6 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slope3x6.dts";
	x = 3;	y = 6;	z = 3;
	invname="Slope 3x6";
};
datablock StaticShapeData(staticslope3x6T : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slope3x6trans.dts";
	x = 3;	y = 6;	z = 3;
	invname="S Trans 3x6";
};
datablock StaticShapeData(staticslopeC3x3 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slopeC3x3.dts";
	x = 3;	y = 3;	z = 3;
	invname="Corner 3x3";
};
datablock StaticShapeData(staticslopeCC3x3 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slopeCC3x3.dts";
	x = 3;	y = 3;	z = 3;
	invname="Crevasse  3x3";
};
datablock StaticShapeData(staticslope4x1 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slope4x1.dts";
	x = 4;	y = 1;	z = 3;
	invname="Slope 4x1";
};
datablock StaticShapeData(staticslope4x2 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slope4x2.dts";
	x = 4;	y = 2;	z = 3;
	invname="Slope 4x2";
};
datablock StaticShapeData(staticslope4x3 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slope4x3.dts";
	x = 4;	y = 3;	z = 3;
	invname="Slope 4x3";
};
datablock StaticShapeData(staticslope4x4 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slope4x4.dts";
	x = 4;	y = 4;	z = 3;
	invname="Slope 4x4";
};
datablock StaticShapeData(staticslopeC4x4 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slope4x4C.dts";
	x = 4;	y = 4;	z = 3;
	invname="Corner 4x4";
};
datablock StaticShapeData(staticslopeCC4x4 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slope4x4CC.dts";
	x = 4;	y = 4;	z = 3;
	invname="Crevasse 4x4";
};
datablock StaticShapeData(staticslope1x1x2 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slope1x1x2.dts";
	x = 2;	y = 1;	z = 6;
	invname="Slope 2x1x2";
};
datablock StaticShapeData(staticslopeC2x2x2 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slopeC2x2x2.dts";
	x = 2;	y = 2;	z = 6;
	invname="Cap 2x2x2";
};
datablock StaticShapeData(staticslopeCC2x2x2 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slopeCC2x2x2.dts";
	x = 2;	y = 2;	z = 6;
	invname="Crevasse 2x2x2";
};
datablock StaticShapeData(staticSlope1x2x3 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/Slope1x2x3.dts";
	x = 1;	y = 2;	z = 9;
	invname="Slope 1x2x3";
};
datablock StaticShapeData(staticcorner1x2x3 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/corner1x2x3.dts";
	x = 2;	y = 2;	z = 9;
	invname="Corner 1x2x3";
};
datablock StaticShapeData(staticslope2x10 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slope2x10x2.dts";
	x = 2;	y = 10;	z = 6;
	invname="Sloped 2x10x2";
};
datablock StaticShapeData(staticslope1x1 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slope1x1.dts";
	x = 1;	y = 1;	z = 3;
	invname="Sloped 1x1";
};
datablock StaticShapeData(staticcslope1x1 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/cslope1x1.dts";
	x = 1;	y = 1;	z = 3;
	invname="Curved S 1x1";
};
datablock StaticShapeData(staticcslope1x1c : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/cslopec1x1.dts";
	x = 1;	y = 1;	z = 3;
	invname="Curved S 1x1 C";
};
datablock StaticShapeData(slatewedge2x3L : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/wedge2x3L.dts";
	x = 2;	y = 3;	z = 3;
	invname="Wedge 2x3 L";
};
datablock StaticShapeData(slatewedge2x3R : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/wedge2x3R.dts";
	x = 2;	y = 3;	z = 3;
	invname="Wedge 2x3 R";
};
datablock StaticShapeData(slatewedge2x4L : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/wedge2x4L.dts";
	x = 2;	y = 4;	z = 3;
	invname="Wedge 2x4 L";
};
datablock StaticShapeData(slatewedge2x4R : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/wedge2x4R.dts";
	x = 2;	y = 4;	z = 3;
	invname="Wedge 2x4 R";
};
datablock StaticShapeData(slatewedge2x4SL : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/wedge2x4SL.dts";
	x = 2;	y = 4;	z = 3;
	invname="Wedge 2x4 S L";
};
datablock StaticShapeData(slatewedge2x4TR : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/wedge2x4SR.dts";
	x = 2;	y = 4;	z = 3;
	invname="Wedge 2x4 S R";
};
datablock StaticShapeData(slatewedge2x6slope : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/wedge2x6slope.dts";
	x = 2;	y = 6;	z = 3;
	invname="Wedge 2x6";
};
datablock StaticShapeData(slatewedge2x6L : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/wedge2x6L.dts";
	x = 2;	y = 6;	z = 3;
	invname="Wedge 2x6 L";
};
datablock StaticShapeData(slatewedge2x6R : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/wedge2x6R.dts";
	x = 2;	y = 6;	z = 3;
	invname="Wedge 2x6 R";
};
datablock StaticShapeData(staticwedge1x6I: staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/wedge1x6I.dts";
	x = 1;	y = 6;	z = 3;
	invname="Wedge 1x6 I";
};
datablock StaticShapeData(staticwedge2x6LI : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/wedge2x6LI.dts";
	x = 2;	y = 6;	z = 3;
	invname="Wedge 2x6 L I";
};
datablock StaticShapeData(staticwedge2x6RI : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/wedge2x6RI.dts";
	x = 2;	y = 6;	z = 3;
	invname="Wedge 2x6 R I";
};
datablock StaticShapeData(staticwedge3x12L : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/wedge3x12L.dts";
	x = 3;	y = 12;	z = 3;
	invname="Wedge 3x12 L";
};
datablock StaticShapeData(staticwedge3x12R : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/wedge3x12R.dts";
	x = 3;	y = 12;	z = 3;
	invname="Wedge 3x12 R";
};
datablock StaticShapeData(staticramp3x4 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/ramp3x4.dts";
	x = 3;	y = 4;	z = 3;
	invname="Wedge 3x4";
};
datablock StaticShapeData(staticramp4x4 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/ramp4x4.dts";
	x = 4;	y = 4;	z = 3;
	invname="Wedge 4x4 T";
};
datablock StaticShapeData(staticramp4x4_2 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slope4x4_2.dts";
	x = 4;	y = 4;	z = 3;
	invname="Wedge 4x4";
};
datablock StaticShapeData(staticramp4x4I : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/ramp4x4I.dts";
	x = 4;	y = 4;	z = 3;
	invname="Wedge 4x4 I";
};
datablock StaticShapeData(staticwedge4x6I : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/wedge4x6I.dts";
	x = 4;	y = 6;	z = 3;
	invname="Wedge 4x6 I";
};
$bricks[1,0]=nametoid(staticslope2x1);
$bricks[1,1]=nametoid(staticwedge4x6I);
/////////////////////////////////
//Inverted Slopes & Capstones////
/////////////////////////////////
datablock StaticShapeData(staticslopeI2x1 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slopeI2x1.dts";
	x = 2;	y = 1;	z = 3;
	invname="I Slope 2x1";
};
datablock StaticShapeData(staticslopeI2x2 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slopeI2x2.dts";
	x = 2;	y = 2;	z = 3;
	invname="I Slope 2x2";
};
datablock StaticShapeData(staticslopeI2x3 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slopeI2x3.dts";
	x = 2;	y = 3;	z = 3;
	invname="I Slope 2x3";
};
datablock StaticShapeData(staticslopeI2x4 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slopeI2x4.dts";
	x = 2;	y = 4;	z = 3;
	invname="I Slope 2x4";
};
datablock StaticShapeData(staticslopeIC2x2 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slopeIC2x2.dts";
	x = 2;	y = 2;	z = 3;
	invname="I Corner 2x2";
};
datablock StaticShapeData(staticCC2x2I : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slope2x2ICC.dts";
	x = 2;	y = 2;	z = 3;
	invname="I Crevasse 2x2";
};
datablock StaticShapeData(staticslopeI3x1 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slopeI3x1.dts";
	x = 3;	y = 1;	z = 3;
	invname="I Slope 3x1";
};
datablock StaticShapeData(staticslopeI3x2 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slopeI3x2.dts";
	x = 3;	y = 2;	z = 3;
	invname="I Slope 3x2";
};
datablock StaticShapeData(staticslopeI3x3 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slopeI3x3.dts";
	x = 3;	y = 3;	z = 3;
	invname="I Slope 3x3";
};
datablock StaticShapeData(staticslopeI3x4 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slopeI3x4.dts";
	x = 3;	y = 4;	z = 3;
	invname="I Slope 3x4";
};
datablock StaticShapeData(staticslopeIC3x3 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slopeIC3x3.dts";
	x = 3;	y = 3;	z = 3;
	invname="I Corner 3x3";
};
datablock StaticShapeData(staticCC3x3I : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slope3x3ICC.dts";
	x = 3;	y = 3;	z = 3;
	invname="I Crevasse 3x3";
};
datablock StaticShapeData(staticslopeI4x1 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slope4x1I.dts";
	x = 4;	y = 1;	z = 3;
	invname="I Slope 4x1";
};
datablock StaticShapeData(staticslopeI4x2 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slope4x2I.dts";
	x = 4;	y = 2;	z = 3;
	invname="I Slope 4x2";
};
datablock StaticShapeData(staticslopeI4x3 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slope4x3I.dts";
	x = 4;	y = 3;	z = 3;
	invname="I Slope 4x3";
};
datablock StaticShapeData(staticslopeI4x4 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slope4x4I.dts";
	x = 4;	y = 4;	z = 3;
	invname="I Slope 4x4";
};
datablock StaticShapeData(staticIC4x4 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slope4x4CI.dts";
	x = 4;	y = 4;	z = 3;
	invname="I Corner 4x4";
};
datablock StaticShapeData(staticCC4x4I : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slope4x4ICC.dts";
	x = 4;	y = 4;	z = 3;
	invname="I Crevasse 4x4";
};
datablock StaticShapeData(staticSlope1x2x3I : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/Slope1x2x3I.dts";
	x = 1;	y = 2;	z = 9;
	invname="I Slope 1x2x3";
};
datablock StaticShapeData(staticcorner1x2x3I : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/corner1x2x3I.dts";
	x = 2;	y = 2;	z = 9;
	invname="I Corner 1x2x3";
};
datablock StaticShapeData(staticslopeT2x1 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slopeT2x1.dts";
	x = 2;	y = 1;	z = 2;
	invname="Capbrick 2x1";
};
datablock StaticShapeData(staticslopeT2x2 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slopeT2x2.dts";
	x = 2;	y = 2;	z = 2;
	invname="Capbrick 2x2";
};
datablock StaticShapeData(staticslopeT2x3 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slopeT2x3.dts";
	x = 2;	y = 3;	z = 2;
	invname="Capbrick 2x3";
};
datablock StaticShapeData(staticslopeT2x4 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slopeT2x4.dts";
	x = 2;	y = 4;	z = 2;
	invname="Capbrick 2x4";
};
datablock StaticShapeData(staticslopeT2x1e : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slopeT2x1e.dts";
	x = 2;	y = 1;	z = 2;
	invname="End Cap 2x1";
};
datablock StaticShapeData(staticslopeT2x2e : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slopeT2x2e.dts";
	x = 2;	y = 2;	z = 2;
	invname="End Cap 2x2";
};
$bricks[2,0]=nametoid(staticslopeI2x1);
$bricks[2,1]=nametoid(staticslopeT2x2e);
/////////////////////////////////
///Arches
/////////////////////////////////
datablock StaticShapeData(staticarch1x3 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/arch1x3.dts";
	x = 1;	y = 3;	z = 3;
	invname="Arch 1x3";
};
datablock StaticShapeData(staticarch1x3I : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/arch1x3I.dts";
	x = 1;	y = 3;	z = 3;
	invname="I Arch 1x3";
};
datablock StaticShapeData(staticarch1x4 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/arch1x4.dts";
	x = 1;	y = 4;	z = 3;
	invname="Arch 1x4";
};
datablock StaticShapeData(staticarch1x4I : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/arch1x4I.dts";
	x = 1;	y = 4;	z = 3;
	invname="I Arch 1x4";
};
datablock StaticShapeData(staticarch1x4x2 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/arch1x4x2.dts";
	x = 1;	y = 4;	z = 6;
	invname="Arch 1x4x2";
};
datablock StaticShapeData(staticarch1x6 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/arch1x6.dts";
	x = 1;	y = 6;	z = 3;
	invname="Arch 1x6";
};
datablock StaticShapeData(staticarch1x6x2: staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/arch1x6x2.dts";
	x = 1;	y = 6;	z = 6;
	invname="Arch 1x6x2";
};
datablock StaticShapeData(staticarch1x8x2: staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/arch1x8x2.dts";
	x = 1;	y = 8;	z = 6;
	invname="Arch 1x8x2";
};
datablock StaticShapeData(staticarch1x8x2round: staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/arch1x6x2round.dts";
	x = 1;	y = 6;	z = 6;
	invname="Arch 1x6x2 R";
};
datablock StaticShapeData(staticarch2x8x3: staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/arch2x8x3.dts";
	x = 2;	y = 8;	z = 9;
	invname="Arch 2x8x3";
};
datablock StaticShapeData(staticarch1x3x2curve : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/arch1x3x2curve.dts";
	x = 1;	y = 3;	z = 5;
	invname="Arch 1x3x2";
};
datablock StaticShapeData(staticarch1x3x2curve : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/arch1x3x2curve.dts";
	x = 1;	y = 3;	z = 5;
	invname="Arch 1x3x2 C";
};
datablock StaticShapeData(staticarch1x6x3curve: staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/arch1x6x3curve.dts";
	x = 1;	y = 6;	z = 9;
	invname="Arch 1x6x3 C";
};
datablock StaticShapeData(staticbrick1x5x4arch : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/brick1x5x4arch.dts";
	x = 1;	y = 5;	z = 12;
	invname="Arch 1x5x4";
};
datablock StaticShapeData(staticarch1x5x4I : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/arch1x5x4I.dts";
	x = 1;	y = 5;	z = 12;
	invname="I Arch 1x5x4";
};
$bricks[3,0]=nametoid(staticarch1x3);
$bricks[3,1]=nametoid(staticarch1x5x4I);
/////////////////////////////////
//////Windows(slot5)//////
/////////////////////////////////
datablock StaticShapeData(staticbrick1x2x2window : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/brick1x2x2window.dts";
	x = 1;	y = 2;	z = 6;
	invname="Window 1x2x2";
};
datablock StaticShapeData(staticpanelwindow1x2x2 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/panelwindow1x2x2.dts";
	x = 1;	y = 2;	z = 6;
	invname="Window 1x2x2b";
};
datablock StaticShapeData(staticbrick1x3x2window : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/brick1x3x2window.dts";
	x = 1;	y = 3;	z = 6;
	invname="Window 1x3x2";
};
datablock StaticShapeData(staticbrick1x4x2window : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/brick1x4x2window.dts";
	x = 1;	y = 4;	z = 6;
	invname="Window 1x4x2";
};
datablock StaticShapeData(staticBrick1x4x5window : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/brick1x4x5window.dts";
	x = 1;	y = 4;	z = 15;
	invname="Window 1x4x5";
};
datablock StaticShapeData(staticbrick1x4x6window : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/brick1x4x6window.dts";
	x = 1;	y = 4;	z = 18;
	invname="Window 1x4x6";
};
datablock StaticShapeData(staticbrick2x4x3window : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/brick2x4x3window.dts";
	x = 2;	y = 4;	z = 9;
	invname="Window 2x4x3";
};
datablock StaticShapeData(staticwindshield2x5x2 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/windshield2x5x2.dts";
	x = 2;	y = 5;	z = 5;
	invname="W 2x5x1 2/3";
};
datablock StaticShapeData(staticbrick4x4x3window : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/window4x4x3.dts";
	x = 4;	y = 4;	z = 9;
	invname="Window 4x4x3";
};
datablock StaticShapeData(staticbrick4x4x6window : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/window4x4x6.dts";
	x = 4;	y = 4;	z = 18;
	invname="Window 4x4x6";
};
datablock StaticShapeData(staticbrick3x8x6window : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/window3x8x6.dts";
	x = 3;	y = 8;	z = 18;
	invname="Window 3x8x6";
};
datablock StaticShapeData(staticwindshield4x3x5 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/windshield4x3x5.dts";
	x = 3;	y = 4;	z = 15;
	invname="Window 3x4x5";
};
datablock StaticShapeData(staticwindshield4x6 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/windshield4x6.dts";
	x = 4;	y = 6;	z = 6;
	invname="Window 4x6";
};
datablock StaticShapeData(staticwindshield4x7 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/windshield4x7.dts";
	x = 4;	y = 7;	z = 6;
	invname="Window 4x7";
};
datablock StaticShapeData(staticwindshield4x7round : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/windshield4x7x2round.dts";
	x = 4;	y = 7;	z = 5;
	invname="W 4x7 Round";
};
datablock StaticShapeData(staticwindshield4x10 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/windshield4x10.dts";
	x = 4;	y = 7;	z = 7;
	invname="Window 4x10";
};
datablock StaticShapeData(staticskylight4x4window : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/skylight4x4.dts";
	x = 4;	y = 4;	z = 1;
	invname="Skylight 4x4";
};
datablock StaticShapeData(staticskylight6x6window : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/skylight6x6.dts";
	x = 6;	y = 6;	z = 1;
	invname="Skylight 6x6";
};
datablock StaticShapeData(staticskylight8x8window : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/skylight8x8.dts";
	x = 8;	y = 8;	z = 1;
	invname="Skylight 8x8";
};
datablock StaticShapeData(statichexhalfwindow : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/hexhalfwindow.dts";
	x = 3;	y = 2;	z = 17;
	invname="Trans Hex Half";
};
datablock StaticShapeData(statichexhalfwindowc : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/hexhalfwindowc.dts";
	x = 2;	y = 2;	z = 17;
	invname="Trans Hex Corner";
};
$bricks[4,0]=nametoid(staticbrick1x2x2window);
$bricks[4,1]=nametoid(statichexhalfwindowc);
/////////////////////////////////////////////
//////Wings, cones, hulls(slot6)////
/////////////////////////////////////////////
datablock StaticShapeData(staticwing2x16 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/wing2x16.dts";
	x = 2;	y = 16;	z = 3;
	invname="Wing 2x16";
};
datablock StaticShapeData(staticwing3x3 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/wing3x3.dts";
	x = 3;	y = 3;	z = 1;
	invname="Wing 3x3";
};
datablock StaticShapeData(staticwing4x4b : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/wing4x4b.dts";
	x = 4;	y = 4;	z = 1;
	invname="Wing4x4";
};
datablock StaticShapeData(staticwing4x4 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/wing4x4.dts";
	x = 4;	y = 4;	z = 1;
	invname="Wing4x4b";
};
datablock StaticShapeData(staticwing3x6 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/wing3x6.dts";
	x = 3;	y = 6;	z = 1;
	invname="Wing 3x6";
};
datablock StaticShapeData(staticwing3x8L : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/wing3x8L.dts";
	x = 3;	y = 8;	z = 1;
	invname="Wing 3x8 L";
};
datablock StaticShapeData(staticwing3x8R : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/wing3x8R.dts";
	x = 3;	y = 8;	z = 1;
	invname="Wing 3x8 R";
};
datablock StaticShapeData(staticwing3x12L : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/wing3x12L.dts";
	x = 3;	y = 12;	z = 1;
	invname="Wing 3x12 L";
};
datablock StaticShapeData(staticwing3x12R : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/wing3x12R.dts";
	x = 3;	y = 12;	z = 1;
	invname="Wing 3x12 R";
};
datablock StaticShapeData(staticwting3x14 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/wing3x14.dts";
	x = 3;	y = 14;	z = 7;
	invname="Wing 3x14";
};
datablock StaticShapeData(staticwing4x6 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/wing4x6.dts";
	x = 4;	y = 6;	z = 1;
	invname="Wing 4x6";
};
datablock StaticShapeData(staticwing4x8l : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/wing4x8l.dts";
	x = 4;	y = 8;	z = 1;
	invname="Wing 4x8L";
};
datablock StaticShapeData(staticwing4x8r : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/wing4x8r.dts";
	x = 4;	y = 8;	z = 1;
	invname="Wing 4x8R";
};
datablock StaticShapeData(staticwing4x9 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/wing4x9.dts";
	x = 4;	y = 9;	z = 1;
	invname="Wing 4x9";
};
datablock StaticShapeData(staticwing6x6 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/wing6x6.dts";
	x = 6;	y = 6;	z = 1;
	invname="Wing 6x6";
};
datablock StaticShapeData(staticwing6x7flat : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/wing6x7flat.dts";
	x = 6;	y = 7;	z = 1;
	invname="Wing 6x7";
};
datablock StaticShapeData(staticwing6x12L : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/wing6x12L.dts";
	x = 6;	y = 12;	z = 1;
	invname="Wing 6x12L";
};
datablock StaticShapeData(staticwing6x12R : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/wing6x12R.dts";
	x = 6;	y = 12;	z = 1;
	invname="Wing 6x12R";
};
datablock StaticShapeData(staticwing7x12L : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/wing7x12L.dts";
	x = 7;	y = 12;	z = 1;
	invname="Wing 7x12L";
};
datablock StaticShapeData(staticwing7x12R : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/wing7x12R.dts";
	x = 7;	y = 12;	z = 1;
	invname="Wing 7x12R";
};
datablock StaticShapeData(staticwing8x8 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/wing8x8.dts";
	x = 8;	y = 8;	z = 1;
	invname="Wing 8x8";
};
datablock StaticShapeData(staticwing10x10 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/wing10x10.dts";
	x = 10;	y = 10;	z = 1;
	invname="Wing 10x10";
};
datablock StaticShapeData(staticwing1x5V : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/wing1x5V.dts";
	x = 1;	y = 5;	z = 9;
	invname="V Wing 1x5";
};
datablock StaticShapeData(staticrearwing : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/rearwing.dts";
	x = 5;	y = 2;	z = 12;
	invname="Rear Wing";
};
datablock StaticShapeData(staticwing4x8U : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/wing4x8U.dts";
	x = 8;	y = 4;	z = 11;
	invname="Wing 8x4 U";
};
datablock StaticShapeData(staticwing4x8D : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/wing4x8D.dts";
	x = 8;	y = 4;	z = 1;
	invname="Wing 8x4 D";
};
datablock StaticShapeData(staticwing16x14 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/wing16x14.dts";
	x = 16;	y = 14;	z = 1;
	invname="Wing 16x14";
};
datablock StaticShapeData(staticflap1x10 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/flap1x10.dts";
	x = 1;	y = 10;	z = 1;
	invname="Flap 1x10";
};
datablock StaticShapeData(staticlazer1x8 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/lazer1x8.dts";
	x = 1;	y = 8;	z = 3;
	invname="Lazer 1x8";
};
datablock StaticShapeData(staticcone1x1trans : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/cone1x1trans.dts";
	x = 1;	y = 1;	z = 3;
	invname="Cone 1x1 Trans";
};
datablock StaticShapeData(staticcone1x1 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/cone1x1.dts";
	x = 1;	y = 1;	z = 3;
	invname="Cone 1x1";
};
datablock StaticShapeData(staticcone2x2 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/cone2x2.dts";
	x = 2;	y = 2;	z = 6;
	invname="Cone 2x2";
};
datablock StaticShapeData(staticcone3x3 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/cone3x3x2.dts";
	x = 3;	y = 3;	z = 6;
	invname="Cone 3x3";
};
datablock StaticShapeData(staticcone4x4 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/cone4x4x2.dts";
	x = 4;	y = 4;	z = 6;
	invname="Cone 4x4";
};
datablock StaticShapeData(staticdish2x2 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/dish2x2.dts";
	x = 2;	y = 2;	z = 1;
	invname="Dish 2x2";
};
datablock StaticShapeData(staticdish2x2trans : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/dish2x2trans.dts";
	x = 2;	y = 2;	z = 1;
	invname="Dish 2x2 T";
};
datablock StaticShapeData(staticdish3x3 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/dish3x3.dts";
	x = 3;	y = 3;	z = 1;
	invname="Dish 2x2";
};
datablock StaticShapeData(staticdish3x3trans : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/dish3x3trans.dts";
	x = 3;	y = 3;	z = 1;
	invname="Dish 3x3 T";
};
datablock StaticShapeData(staticdish6x6 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/dish6x6.dts";
	x = 6;	y = 6;	z = 1;
	invname="Dish 6x6";
};
datablock StaticShapeData(staticdish6x6trans : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/dish6x6trans.dts";
	x = 6;	y = 6;	z = 1;
	invname="Dish 6x6 T";
};
datablock StaticShapeData(staticwing6x7 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/wing6x7.dts";
	x = 6;	y = 7;	z = 3;
	invname="Hull 6x7";
};
datablock StaticShapeData(statichull8x12x2 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/hull8x12x2.dts";
	x = 8;	y = 12;	z = 3;
	invname="Hull 8x12x2";
};
datablock StaticShapeData(statichull9x12b : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/hull9x12b.dts";
	x = 9;	y = 12;	z = 3;
	invname="Hull 9x12b";
};
datablock StaticShapeData(statichull9x12 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/hull9x12.dts";
	x = 9;	y = 12;	z = 3;
	invname="Hull 9x12";
};
$bricks[5,0]=nametoid(staticwing2x16);
$bricks[5,1]=nametoid(statichull9x12);
/////////////////////////////////
///////Etc1(slot7)///////
/////////////////////////////////
datablock StaticShapeData(staticcylinderhalf2x3 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/cylinderhalf2x3.dts";
	x = 2;	y = 3;	z = 2.9;
	invname="Cylinder H 2x3";
};
datablock StaticShapeData(staticpixelbrick : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/pixelbrick.dts";
	x = 1;	y = 1;	z = 2.5;
	invname="Pixel Brick";
};
datablock StaticShapeData(staticantenna1x1x5 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/antenna1x1x5.dts";
	x = 1;	y = 1;	z = 3;
	invname="Antenna 1x1x5";
};
datablock StaticShapeData(staticAntenna : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/Antenna.dts";
	x = 1;	y = 1;	z = 3;
	invname="Antenna 1x1x8";
};
datablock StaticShapeData(staticflagsmall : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/flagsmall.dts";
	x = 2;	y = 1;	z = 10;
	invname="Flag Small";
};
datablock StaticShapeData(staticflaglarge : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/flaglarge.dts";
	x = 6;	y = 1;	z = 24;
	invname="Flag Large";
};
datablock StaticShapeData(staticslope6x8 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slope6x8.dts";
	x = 6;	y = 8;	z = 3;
	invname="Slope 6x8";
};
datablock StaticShapeData(staticlattice2x2x5 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/lattice2x2x5.dts";
	x = 2;	y = 2;	z = 15;
	invname="Lattice 2x2x5";
};
datablock StaticShapeData(staticfence1x4x1 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/fence1x4x1.dts";
	x = 1;	y = 4;	z = 3;
	invname="Fence 1x4x1";
};
datablock StaticShapeData(staticfence1x4x2 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/fence1x4x2.dts";
	x = 1;	y = 4;	z = 6;
	invname="Fence 1x4x2";
};
datablock StaticShapeData(staticfence1x8x2b : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/fence1x8x2b.dts";
	x = 1;	y = 8;	z = 6;
	invname="Fence 1x8x2";
};
datablock StaticShapeData(staticrail1x4x2 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/rail1x4x2.dts";
	x = 1;	y = 4;	z = 6;
	invname="Rail 1x4x2";
};
datablock StaticShapeData(staticfence1x8x2 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/fence1x8x2.dts";
	x = 1;	y = 8;	z = 6;
	invname="Rail 1x8x2";
};
datablock StaticShapeData(staticfence1x8x3 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/fence1x8x3.dts";
	x = 1;	y = 8;	z = 9;
	invname="Rail 1x8x3";
};
datablock StaticShapeData(staticfencespin : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/fencespindled.dts";
	x = 1;	y = 4;	z = 6;
	invname="Spindled 1x4x2";
};
datablock StaticShapeData(staticfenceSround : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/fenceSround.dts";
	x = 4;	y = 4;	z = 6;
	invname="Spindled Corner";
};
datablock StaticShapeData(staticpanel1x1corner : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/panel1x1corner.dts";
	x = 1;	y =1;	z = 3;
	invname="Panel 1x1 C";
};
datablock StaticShapeData(staticpanel1x1trans : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/panel1x1trans.dts";
	x = 1;	y =1;	z = 3;
	invname="Panel 1x1 C T";
};
datablock StaticShapeData(staticpanel1x2x1 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/panel1x2x1.dts";
	x = 1;	y =2;	z = 3;
	invname="Panel 1x2";
};
datablock StaticShapeData(staticpanel1x2trans : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/panel1x2trans.dts";
	x = 1;	y =2;	z = 3;
	invname="Panel 1x2 T";
};
datablock StaticShapeData(staticpanel1x2x2 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/panel1x2x2.dts";
	x = 1;	y =2;	z = 6;
	invname="Panel 1x2x2";
};
datablock StaticShapeData(staticpanel1x2x2trans : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/panel1x2x2trans.dts";
	x = 1;	y =2;	z = 6;
	invname="Panel 1x2x2 T";
};
datablock StaticShapeData(staticpanel1x2x3 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/panel1x2x3.dts";
	x = 1;	y =2;	z = 9;
	invname="Panel 1x2x3";
};
datablock StaticShapeData(staticpanel1x2x3trans : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/panel1x2x3trans.dts";
	x = 1;	y =2;	z = 9;
	invname="Panel 1x2x3 T";
};
datablock StaticShapeData(staticpanel1x4x3 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/panel1x4x3.dts";
	x = 1;	y =4;	z = 9;
	invname="Panel 1x4x3";
};
datablock StaticShapeData(staticpanel1x4x3trans : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/panel1x4x3trans.dts";
	x = 1;	y =4;	z = 9;
	invname="Panel 1x4x3 T";
};
datablock StaticShapeData(staticcorner3x3 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/corner3x3.dts";
	x = 3;	y = 3;	z = 3;
	invname="Facet 3x3";
};
datablock StaticShapeData(staticcorner5x5 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/corner5x5.dts";
	x = 5;	y = 5;	z = 3;
	invname="Facet 5x5";
};
datablock StaticShapeData(staticoctagon3x3x2 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/octagon3x3x2.dts";
	x = 3;	y = 3;	z = 6;
	invname="Oct 3x3x2";
};
datablock StaticShapeData(staticoctagon3x3x2trans : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/octagon3x3x2trans.dts";
	x = 3;	y = 3;	z = 6;
	invname="Oct 3x3x2";
};
datablock StaticShapeData(staticoctagon6x6x2 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/octagon6x6x2.dts";
	x = 6;	y = 6;	z = 6;
	invname="Oct 6x6x2";
};
datablock StaticShapeData(staticoctagon6x6x2trans : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/octagon6x6x2trans.dts";
	x = 6;	y = 6;	z = 6;
	invname="Oct 6x6x2 T";
};
datablock StaticShapeData(staticcastleturret : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/castleturret.dts";
	x = 4;	y = 8;	z = 7;
	invname="Castle Turret";
};
datablock StaticShapeData(staticcastleturret2 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/castleturret2.dts";
	x = 47;	y = 7;	z = 7;
	invname="Castle Turret2";
};
datablock StaticShapeData(staticpanelwall : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/panelwall.dts";
	x = 3;	y = 4;	z = 18;
	invname="Panel Wall";
};
datablock StaticShapeData(staticwall1x5x6 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/wall1x5x6.dts";
	x = 1;	y = 5;	z = 18;
	invname="Castle Wall";
};
datablock StaticShapeData(staticlog1x2 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/log1x2.dts";
	x = 1;	y = 2;	z = 3;
	invname="Log 1x2";
};
datablock StaticShapeData(staticlog1x4 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/log1x4.dts";
	x = 1;	y = 4;	z = 3;
	invname="Log 1x4";
};
datablock StaticShapeData(staticlogwall : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/logwall1x6x6.dts";
	x = 1;	y = 6;	z = 18;
	invname="Log Wall";
};
$bricks[6,0]=nametoid(staticcylinderhalf2x3);
$bricks[6,1]=nametoid(staticlogwall);
/////////////////////////////////
///////Etc2(slot8)/////////////
/////////////////////////////////
datablock StaticShapeData(staticflowerbrick : staticBrick2x2) {
	shapeFile = "~/data/shapes/flower/flowerbrick.dts";
	x = 1;	y = 1;	z = 2.9;
	invname="Flower";
};
datablock StaticShapeData(staticDirtBrick : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/slate/brick1x1.dts";
	x = 1;	y = 1;	z = 3;
	invname="Dirt Brick";
};
datablock StaticShapeData(staticfirebrick : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/fire1x4.dts";
	x = 1;	y = 4;	z = 1;
	invname="Fire Brick";
};
datablock StaticShapeData(staticleaf3x4 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/leaf3x4.dts";
	x = 3;	y = 4;	z = 1;
	invname="Leaf Small";
};
datablock StaticShapeData(staticpinetreebrick : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/pinetreebrick.dts";
	x = 5;	y = 5;	z = 21.5;
	invname="Pine Tree";
};
datablock StaticShapeData(staticbushbrick : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/bush.dts";
	x = 2;	y = 2;	z = 12;
	invname="Bush";
};
datablock StaticShapeData(staticpalmtree : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/palmtree.dts";
	x = 1;	y = 10;	z = 1;
	invname="Palm Branch";
};
datablock StaticShapeData(staticStopSign : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/stopsign.dts";
	x = 2;	y = 2;	z = 14;
	invname="Stop Sign";
};
datablock StaticShapeData(staticPizza : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/pizza.dts";
	x = 2;	y = 2;	z = 1;
	invname="Pizza";
};
datablock StaticShapeData(statichandle1x2 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/handle1x2.dts";
	x = 1;	y = 2;	z = 3;
	invname="Handle 1x2";
};
datablock StaticShapeData(statichandle1x2b : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/handle1x2b.dts";
	x = 1;	y = 2;	z = 1;
	invname="Handle 1x2b";
};
datablock StaticShapeData(staticplate1x2ladder : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/plate1x2ladder.dts";
	x = 1;	y = 2;	z = 1;
	invname="Ladder 1x2x2";
};
datablock StaticShapeData(staticsteeringwheel : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/steeringwheel.dts";
	x = 1;	y = 2;	z = 8;
	invname="Steering Wheel";
};
datablock StaticShapeData(staticgrill8x8flat : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/grill8x8.dts";
	x = 8;	y = 8;	z = 1;
	invname="Grill 8x8";
};
datablock StaticShapeData(staticgrill1x2 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/grill1x2.dts";
	x = 1;	y = 2;	z = 1;
	invname="Grill 1x2";
};
datablock StaticShapeData(staticguardrail : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/guardrail.dts";
	x = 2;	y = 6;	z = 6;
	invname="Guard Rail";
};
datablock StaticShapeData(statictrans1x1 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/trans1x1.dts";
	x = 1;	y = 1;	z = 3;
	invname="Trans 1x1";
};
datablock StaticShapeData(staticroundflat1x1t : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/roundflat1x1.dts";
	x = 1;	y = 1;	z = 1;
	invname="Round 1x1F";
};
datablock StaticShapeData(statictrans1x1roundflat : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/trans1x1roundflat.dts";
	x = 1;	y = 1;	z = 1;
	invname="Trans R 1x1F";
};
datablock StaticShapeData(statictrans1x1round : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/trans1x1round.dts";
	x = 1;	y = 1;	z = 3;
	invname="Trans R 1x1";
};
datablock StaticShapeData(slatewing3x3rounded : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/wing3x3rounded.dts";
	x = 3;	y = 3;	z = 3;
	invname="Rounded 3x3";
};
datablock StaticShapeData(staticbrick4x4RI : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/brick4x4RI.dts";
	x =4;	y = 4;	z = 3;
	invname="Round I 4x4";
};
datablock StaticShapeData(slateUFOwing10x10 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/UFOwing10x10.dts";
	x = 10;	y = 10;	z = 7;
	invname="UFO Wing";
};
datablock StaticShapeData(slateUFOwing10x10trans : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/UFOwing10x10trans.dts";
	x = 10;	y = 10;	z = 7;
	invname="UFO Wing T";
};
datablock StaticShapeData(staticrocket2x2 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/rocket2x2.dts";
	x = 2;	y = 2;	z = 6;
	invname="Rocket 2x2";
};
datablock StaticShapeData(staticrocket2x4 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/rocket2x4.dts";
	x = 2;	y = 4;	z = 3;
	invname="Rocket 2x4";
};
datablock StaticShapeData(staticjetengine2x5 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/jetengine2x5.dts";
	x = 2;	y = 5;	z = 8;
	invname="Rocket 2x5";
};
datablock StaticShapeData(staticjetengine2x5x2 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/jetengine2x5x2.dts";
	x = 2;	y = 5;	z = 9;
	invname="Rocket 2x5x2";
};
datablock StaticShapeData(staticrocket3x3 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/rocket3x3.dts";
	x = 3;	y = 3;	z = 9;
	invname="Rocket 3x3";
};
datablock StaticShapeData(staticbrick2x3rounded : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/brick2x3rounded.dts";
	x = 2;	y = 3;	z = 3;
	invname="Brick 2x3 rounded";
};
datablock StaticShapeData(staticrailing1x1x3 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/railing1x1x3.dts";
	x = 1;	y = 1;	z = 9;
	invname="Railing 1x1";
};
datablock StaticShapeData(staticrailing1x2x3 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/railing1x2x3.dts";
	x = 1;	y = 2;	z = 9;
	invname="Railing 1x2";
};
datablock StaticShapeData(staticbarrel2x2 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/barrel2x2.dts";
	x = 2;	y = 2;	z = 5;
	invname="Barrel 2x2";
};
datablock StaticShapeData(statictrack8x16 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/track8x16.dts";
	x = 8;	y =16;	z = 1;
	invname="Track Straight";
};
datablock StaticShapeData(staticstud1x1 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/stud1x1.dts";
	x = 1;	y =1;	z = 0;
	invname="Stud 1x1";
};
datablock StaticShapeData(staticstud2x2 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/stud2x2.dts";
	x = 2;	y =2;	z = 0;
	invname="Stud 2x2";
};
datablock StaticShapeData(staticstud4x4 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/stud4x4.dts";
	x = 4;	y =4;	z = 0;
	invname="Stud 4x4";
};
datablock StaticShapeData(staticstud1x1trans : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/stud1x1trans.dts";
	x = 1;	y =1;	z = 0;
	invname="Stud 1x1 Trans";
};
datablock StaticShapeData(staticstud2x2trans : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/stud2x2trans.dts";
	x = 2;	y =2;	z = 0;
	invname="Stud 2x2 Trans";
};
datablock StaticShapeData(staticstud4x4trans : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/stud4x4trans.dts";
	x = 4;	y =4;	z = 0;
	invname="Stud 4x4 Trans";
};
datablock StaticShapeData(staticstud4x4trans : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/stud4x4trans.dts";
	x = 4;	y =4;	z = 0;
	invname="Stud 4x4 Trans";
};

// Zomg Knex pieces!!!!11

datablock StaticShapeData(staticKnexstickgreen : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/knex/stickgreen.dts";
	x = 1;	y =1;	z = 1;
	invname="Green Rod";
};
datablock StaticShapeData(staticKnexstickWhite : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/knex/stickWhite.dts";
	x = 1;	y =1;	z = 1;
	invname="White Rod";
};
datablock StaticShapeData(staticKnexstickblue : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/knex/stickblue.dts";
	x = 1;	y =1;	z = 1;
	invname="Blue Rod";
};
datablock StaticShapeData(staticKnexstickyellow : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/knex/stickyellow.dts";
	x = 1;	y =1;	z = 1;
	invname="Yellow Rod";
};
datablock StaticShapeData(staticKnexstickred : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/knex/stickred.dts";
	x = 1;	y =1;	z = 1;
	invname="Red Rod";
};
datablock StaticShapeData(staticKnexstickgrey : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/knex/stickgrey.dts";
	x = 1;	y =1;	z = 1;
	invname="Grey Rod";
};
datablock StaticShapeData(staticKnexorangeconnector : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/knex/straightconnector.dts";
	x = 1;	y =1;	z = 1;
	invname="Strait Connect";
};
datablock StaticShapeData(staticKnexendgrey : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/knex/endgrey.dts";
	x = 1;	y =1;	z = 1;
	invname="End Connect";
};
datablock StaticShapeData(staticKnexorangeconnector : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/knex/straightconnector.dts";
	x = 1;	y =1;	z = 1;
	invname="Orange Connect";
};
datablock StaticShapeData(staticsupport2x2x2 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/support2x2x2.dts";
	x =2;	y = 2;	z = 6;
	invname="Support 2x2x2";
};
datablock StaticShapeData(staticsupport2x5x5 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/support2x5x5.dts";
	x =2;	y = 2;	z = 15;
	invname="Support 2x5x5";
};
datablock StaticShapeData(staticsupport4x4x5 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/support4x4x5.dts";
	x =4;	y = 4;	z = 15;
	invname="Support 4x4x5";
};
$bricks[7,0]=nametoid(staticflowerbrick);
$bricks[7,1]=nametoid(staticsupport4x4x5);
/////////////////////////////////
///////Decals(slot9)/////////
/////////////////////////////////
datablock StaticShapeData(staticdecal1x1 : staticBrick2x2) {
	shapeFile = "~/data/shapes/decal/1x1decal.dts";
	x = 1;	y = 1;	z = 1;
	invname="Decal 1x1";
	decal=1;
};
datablock StaticShapeData(staticdecal1x2 : staticBrick2x2) {
	shapeFile = "~/data/shapes/decal/1x2decal.dts";
	x = 2;	y = 1;	z = 1;
	invname="Decal 1x2";
	decal=1;
};
datablock StaticShapeData(static1x1decalside : staticBrick2x2) {
	shapeFile = "~/data/shapes/decal/1x1decalside.dts";
	x = 1;	y = 1;	z = 3;
	invname="Decal 1x1 Side";
    decal=1;
};
datablock StaticShapeData(staticdecal1x2side : staticBrick2x2) {
	shapeFile = "~/data/shapes/decal/1x2decalside.dts";
	x = 2;	y = 1;	z = 3;
	invname="Decal 1x2 Side";
    decal=1;
};
datablock StaticShapeData(staticdecal1x4side : staticBrick2x2) {
	shapeFile = "~/data/shapes/decal/1x4decalside.dts";
	x = 4;	y = 1;	z = 3;
	invname="Decal 1x4 Side";
    decal=1;
};
datablock StaticShapeData(static2x1decalslope : staticBrick2x2) {
	shapeFile = "~/data/shapes/decal/1x2decalslope.dts";
	x = 1;	y = 1;	z = 3;
	invname="Decal 2x1 S";
	decal=1;
};
datablock StaticShapeData(static2x2decalslope : staticBrick2x2) {
	shapeFile = "~/data/shapes/decal/2x2decalslope.dts";
	x = 2;	y = 1;	z = 3;
	invname="Decal 2x2 S";
	decal=1;
};
datablock StaticShapeData(staticdecal2x2 : staticBrick2x2) {
	shapeFile = "~/data/shapes/decal/2x2decal.dts";
	x = 2;	y = 2;	z = 1;
	invname="Decal 2x2";
	decal=1;
};
datablock StaticShapeData(statictypedecal : staticBrick2x2) {
	shapeFile = "~/data/shapes/decal/type/typedecal.dts";
	x = 1;	y = 0;	z =3;
	invname="Type Decal";
	decal=1;
};
$bricks[8,0]=nametoid(staticdecal1x1);
$bricks[8,1]=nametoid(statictypedecal);
/////////////////////////////////
/////Platforms(slot10)/////
/////////////////////////////////
datablock StaticShapeData(staticplate32x32 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/baseplate32.dts";
	x = 32;	y = 32;	z = 1;
	invname="Platform 32";
};
datablock StaticShapeData(staticplate64x48 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/baseplate48.dts";
	x = 48;	y = 48;	z = 1;
	invname="Platform 48";
};
datablock StaticShapeData(staticplate64x64 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/baseplate64.dts";
	x = 64;	y = 64;	z = 1;
	invname="Platform 64";
};
datablock StaticShapeData(staticplate96x96 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/baseplate96.dts";
	x = 96;	y = 96;	z = 1;
	invname="Platform 96";
};
datablock StaticShapeData(staticplate128x128 : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/baseplate128.dts";
	x = 128; y = 128; z = 1;
	invname="Platform 128";
};
datablock StaticShapeData(staticroadplateGStraight : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/roadGstraight.dts";
	x = 32;	y = 32;	z = 1;
	invname="Road G Straight";
};
datablock StaticShapeData(staticroadplateGt : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/roadGt.dts";
	x = 32;	y = 32;	z = 1;
	invname="Road Gray T";
};
datablock StaticShapeData(staticroadplateGx : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/roadGx.dts";
	x = 32;	y = 32;	z = 1;
	invname="Road Gray X";
};
datablock StaticShapeData(staticroadplatecurve : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/roadcurve.dts";
	x = 32;	y = 32;	z = 1;
	invname="Road Curve";
};
datablock StaticShapeData(staticroadplateDeadend : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/roadDeadend.dts";
	x = 32; 	y = 32;	z = 1;
	invname="Road End";
};
datablock StaticShapeData(staticroadplateStraight : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/roadstraight.dts";
	x = 32;	y = 32;	z = 1;
	invname="Road Straight";
};
datablock StaticShapeData(staticroadplateTsection : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/roadTsection.dts";
	x = 32;	y = 32;	z = 1;
	invname="Road T";
};
datablock StaticShapeData(staticroadplateXsection : staticBrick2x2) {
	shapeFile = "~/data/shapes/bricks/roadXsection.dts";
	x = 32;	y = 32;	z = 1;
	invname="Road Intersect";
};
$bricks[9,0]=nametoid(staticplate32x32);
$bricks[9,1]=nametoid(staticroadplateXsection);
